Name:		mysql-aes256
Version:	1.0.2
Release:	1%{?dist}
Summary:	MySQL AES-256 UDF

Group:		Applications/Databases
License:	GPLv2
URL:		http://mirror.oops.org/pub/oops/mysql/lib_mysqludf_aes256
Source0:	lib_mysqludf_aes256-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	mysql-devel
Requires:	mysql-server

%description
Support AES-256 Encryption with UDF (User Defined Function)


%prep
%setup -q -n lib_mysqludf_aes256-%{version}


%build
%configure \
	--with-mysql-plugins-dir=%{_libdir}/mysql/plugin \
	--with-mysql=/usr

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
(
	cd %{buildroot}%{_docdir}
	mv lib_mysqludf_aes256-%{version} %{name}-%{version}
	cd -
)

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/mysql/plugin/*.so
%{_docdir}/%{name}-%{version}/*

%changelog
* Tue Dec 24 2013 JoungKyun.Kim <http://oops.org> 1.0.2-1%{?dist}
- update 1.0.2
- 인자를 column name으로 주었을 경우 에러 수정

* Mon Sep 23 2013 JoungKyun.Kim <http://oops.org>
- first packaged
